Bug 1051571 - Maximized window covered by panel on multi monitor setup
Summary: Maximized window covered by panel on multi monitor setup
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfwm4
Version: 20
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-10 15:30 UTC by Alois Mahdal
Modified: 2015-06-30 00:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:50:34 UTC
Type: Bug


Attachments (Terms of Use)
~/.config/xfce4 (4.53 KB, application/gzip)
2014-01-10 15:30 UTC, Alois Mahdal
no flags Details
ARandr screen-shot (not from the same test as the other attachment) (16.45 KB, image/png)
2014-01-10 15:32 UTC, Alois Mahdal
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Xfce 10669 0 None None None 2019-02-22 04:58:09 UTC

Description Alois Mahdal 2014-01-10 15:30:23 UTC
Created attachment 848253 [details]
~/.config/xfce4

Description of problem:

In certain (normal) multi-monitor setup, Maximize window feature fails to work properly on one of monitors.  Specifically, the maximized window is partially covered with top (non-hiding) panel.


Version-Release number of selected component (if applicable):

xfwm4-4.10.1-2.fc20.x86_64


How reproducible:

Always.


Steps to Reproduce:

0.  Have
    *   two monitors, in my case LVDS1 (laptop's built-in monitor)
        and a NEC MultiSync E213W connected as HDMI3
    *   Fedora workstation with Xfce4 as default
    *   arandr installed (to change the monitor layout) 

1.  Log in to new user; choose the default panel layout
2.  Create a new panel (panel3) and set it to 100% width
3.  Dock the panel3 to top border of the HDMI3
4.  Start arandr and change monitor superposition so that tha "small"
    LVDS1 is under the "big" HDMI3.  In my case this moves the Xfce
    panels to the HDMI3.  As a side effect this hides the panel3, 
    apparently under the panel1.
5.  Open panel settings, choose panel3 and change output to LVDS1.
6.  Now open a window, say Thunar, move it to LVDS1 and maximize it


Actual results:

Window is partially hidden by the panel3 (depends on panel and decorations size).


Expected results:

Window should maximize with respect to any non-hiding panels and not be covered.  This should apply to all monitors, no matter how they are arranged by *randr.


Additional info:

When I open the arandr again and switch the monitors so that the LVDS1 is on top, the problem happens on the HDMI3-bound panel.   So it seems to affect:

*   panel bound with monitor that is on the bottom
*   or a docked panel that neighbors with another monitor.

This also affects "Maximize vertically".

I haven't tested the horizontal version of the whole issue (layout side by side, panel docked "between"...).

Comment 1 Alois Mahdal 2014-01-10 15:32:16 UTC
Created attachment 848255 [details]
ARandr screen-shot (not from the same test as the other attachment)

Comment 2 Kevin Fenzi 2014-02-02 20:15:03 UTC
Would you be willing to file this upstream at bugzilla.xfce.org? 

Or would you like me to do so? (I don't have multiple monitors here, so I would just be passing it along).

Comment 3 Alois Mahdal 2014-02-03 15:06:57 UTC
(In reply to Kevin Fenzi from comment #2)
> Would you be willing to file this upstream at bugzilla.xfce.org? 

Done: https://bugzilla.xfce.org/show_bug.cgi?id=10669

Comment 4 Kevin Fenzi 2014-02-03 16:38:47 UTC
Thanks!

Comment 5 Fedora End Of Life 2015-05-29 10:25:53 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-30 00:50:34 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.